# -*- encoding : utf-8 -*-
class Public::PrescriptionsController < ApplicationController
  	layout 'public'

	def new
		
	end

  def create
	
  	@prescription = Prescription.new(params[:prescription])
  	@menu_item = MenuItem.find_by_permalink('ordonnances')
  	@title = @menu_item.name
  
    if @prescription.email and @prescription.email != ""
      redirect_to "/pages/ordonnances.html"
    else
  
    	if @prescription.save
		
    		Notification.prescription_received.deliver
		
    		redirect_to "/pages/ordonnances.html", :notice => "Nous avons bien enregistré votre demande, celle-ci sera traitée dans les meilleurs délais. Nous vous informerons par téléphone de la date à laquelle vous pourrez venir chercher votre commande à la pharmacie."
    	else
    		render :template => "public/menu_items/show"
    	end
    end
  end

end
